Package org.apache.sling.api.resource

# Interface RefreshableResourceProvider

All Superinterfaces:
  `ResourceProvider`

@Deprecated @ConsumerType public interface RefreshableResourceProvider extends ResourceProvider
Deprecated.
Use the `ResourceProvider`
A resource provider might return the state when it was created and not update to the latest state. If the provider supports updating to the latest state, it should implement this method. This interface is only supported if the provider has been create through a `ResourceProviderFactory`.

Since:
  2.3 (Sling API Bundle 2.4.0)
See Also:
  - `ResourceProviderFactory.getResourceProvider(java.util.Map)`
  - `ResourceProviderFactory.getAdministrativeResourceProvider(java.util.Map)`

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ResourceProvider

`OWNS_ROOTS, RESOURCE_TYPE_SYNTHETIC, ROOTS, SERVICE_NAME, USE_RESOURCE_ACCESS_SECURITY`

## Method Summary

Modifier and Type
Method
Description
`void`
`refresh()`
Deprecated.
The provider is updated to reflect the latest state.

### Methods inherited from interface org.apache.sling.api.resource.ResourceProvider

`getResource, getResource, listChildren`

## Method Details

### refresh

void refresh()
Deprecated.
The provider is updated to reflect the latest state. Resources which have changes pending are not discarded.